Last Comment Bug 61669 - Embedding Apps can't do basic auth repeatedly, due to cache [squid proxy]
: Embedding Apps can't do basic auth repeatedly, due to cache [squid proxy]
Status: VERIFIED WORKSFORME
[cache]
:
Product: Core
Classification: Components
Component: Embedding: APIs (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: mozilla0.9.2
Assigned To: Darin Fisher
: David Epstein
: Myk Melez [:myk] [@mykmelez]
Mentors:
: 59981 (view as bug list)
Depends on:
Blocks: 59866 70229
  Show dependency treegraph
 
Reported: 2000-11-30 17:27 PST by edburns
Modified: 2014-10-11 13:57 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image edburns 2000-11-30 17:27:37 PST
Hello,

My embedding app implements nsIPrompt to allow the user to provide username
and password data on a URL fetch.

If your disk cache is clear, and you visit a url with basic auth, it works 
fine.  However, if, at a later session, you visit the same URL, it will not 
work.  Disabling the cache prevents this problem.


Please re-assign to the cache person.
Comment 1 User image Judson Valeski 2000-12-05 10:01:05 PST
-> g
Comment 2 User image edburns 2000-12-11 12:50:13 PST
*** Bug 59981 has been marked as a duplicate of this bug. ***
Comment 3 User image edburns 2000-12-11 18:37:37 PST
Here's the pref to disable the cache:

user_pref("browser.cache.disk_cache_size", 0);
Comment 4 User image Paul Wyskoczka 2001-01-10 09:37:03 PST
Updating QA Contact
Comment 5 User image Frank Faubert 2001-02-27 07:08:43 PST
This bug seems pretty major, and blocks bug #60304 which is also pretty major. 
Any chance of getting this escalated -- or at least set to a specific milestone?
Comment 6 User image Michael Dunn 2001-04-18 10:26:31 PDT
Correction: Changing QA contact for the Embed API bugs to David Epstein.
Comment 7 User image gordon 2001-04-18 12:19:29 PDT
Ed, is this still a problem with the lastest builds.  We have a new cache and 
we've cleaned up the HTTP validation code quite a bit.
Comment 8 User image Tom Mraz 2001-05-21 23:15:38 PDT
It doesn't authenticate at all to me. When I use the TestGtkEmbed and the
authentication dialog appears I can fill in any name/password value (even the
correct one) but the authenticated page never appears only the dialog reappears
again and again. Only the Cancel button works fine -> the authentication error
page appears.
Comment 9 User image Darin Fisher 2001-06-12 18:23:30 PDT
basic auth works just fine for me using TestGtkEmbed.  can you please supply
a testcase for this bug?  thx!
Comment 10 User image Tom Mraz 2001-06-13 00:52:53 PDT
You can try this URL:

http://poli.feld.cvut.cz/~mraz/tmp/

User: josef Password: nechvil

I'm using a squid proxy to connect to Internet (I have no other possibility).

I've retested it with my own trunk build from 2001-06-12 and it still doesn't work.
Comment 11 User image Darin Fisher 2001-06-13 18:03:03 PDT
OK.. using a Netscape Proxy, I'm not having any trouble authenticating with the
testcase you provided.  Time to try squid.
Comment 12 User image Darin Fisher 2001-06-13 18:03:28 PDT
-> me
Comment 13 User image Darin Fisher 2001-06-13 19:29:53 PDT
OK.. once i setup a squid proxy i was able to duplicate this bug.
investigating...
Comment 14 User image Darin Fisher 2001-06-13 19:36:45 PDT
oops... i take that back... it seems to work just fine for me.
i previously mistyped the password :P

so, i'm not sure how to reproduce this bug.

Tom: could you get a packet trace?  (using a tool like ngrep --
http://ngrep.sourceforge.net), and if you have a debug build could you try
getting a HTTP log by setting the NSPR_LOG_MODULES=nsHttp:5 and NSPR_LOG_FILE=log
environment variables?  if you could generate either of these it would greatly
help in tracking down the cause of this problem.  thanks!
Comment 15 User image Tom Mraz 2001-06-14 04:57:13 PDT
So I've made more tests and it seems that with the M0.9.1 it doesn't work at all 
no matter when using/not using proxy. But I've made fresh trunk checkout and
recompiled it and it is FIXED now! So it could be probably resolved as WFM.
Comment 16 User image Darin Fisher 2001-06-16 19:47:55 PDT
marking WORKSFORME.
Comment 17 User image David Epstein 2001-11-02 19:36:33 PST
was able to authenticate w/ above case.

Note You need to log in before you can comment on or make changes to this bug.